Imports System
Imports System.Data
Imports System.Drawing
Imports System.Web
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls
Imports System.ComponentModel
Imports System.ComponentModel.Design
Imports System.Web.UI

Partial Class Reports_wucHeader
    Inherits System.Web.UI.UserControl

    ''' -----------------------------------------------------------------------------
    ''' <summary>
    '''     Page startup event code.
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    '''     During page load, we need to do the following:
    ''' <UL>
    ''' <LI>Set up the javascript to handle hiding the menus when a mouse-over
    ''' event occurs on the banner and user id controls..</LI>
    ''' </UL>
    ''' </remarks>
    ''' <history>
    ''' 	[jgilbert]	4/1/2005	Created
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'imgBanner.Attributes.Add("onmouseover", "Hide_ShowLayers();")
        'lblUserID.Attributes.Add("onmouseover", "Hide_ShowLayers();")
        ''lblGradient.Attributes.Add("onmouseover", "Hide_ShowLayers();")
        'Me.Attributes.Add("onmouseover", "Hide_ShowLayers();")
    End Sub


    <Browsable(True), _
        Category("Behavior"), _
        Description("Heading for the form")> _
    Public Property Heading() As String
        Get
            Return lblRecomHead.Text
        End Get
        Set(ByVal Value As String)
            lblRecomHead.Text = Value
        End Set
    End Property

    <Browsable(True), _
        Category("Behavior"), _
        Description("Current Windows user")> _
    Public Property UserID() As String
        Get
            Return lblUserID.Text
        End Get
        Set(ByVal Value As String)
            lblUserID.Text = Value
        End Set
    End Property

End Class
